metadata:
  description: Run LTP open posix test suite
  devices:
  - dragonboard410c
  - hi6220-hikey
  - juno
  - x15
  - x86
  environment:
  - lava-test-shell
  format: Lava-Test Test Definition 1.0
  maintainer:
  - naresh.kamboju@linaro.org
  name: ltp-open-posix
  os:
  - debian
  - fedora
  - openembedded
  scope:
  - functional
params:
  GRP_TEST: ''
  LTP_VERSION: 20180515
  SKIP_INSTALL: true
run:
  steps:
  - cd ./automated/linux/ltp-open-posix/
  - ./ltp-open-posix.sh -s "${SKIP_INSTALL}" -v "${LTP_VERSION}" -t "${GRP_TEST}"
  - ../../utils/send-to-lava.sh ./output/result.txt
